Debian Bug report logs - #544831
crystalspace - FTBFS: Does no bail out after one fatal error

version graph

Package: src:crystalspace; Maintainer for src:crystalspace is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Thu, 3 Sep 2009 08:12:09 UTC

Severity: serious

Found in version crystalspace/1.2.1-2

Fixed in version crystalspace/1.4.0+dfsg-3

Done: Devid Antonio Filoni <d.filoni@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#544831; Package src:crystalspace. (Thu, 03 Sep 2009 08:12:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 03 Sep 2009 08:12:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: crystalspace - FTBFS: Does no bail out after one fatal error
Date: Thu, 3 Sep 2009 10:05:02 +0200
Source: crystalspace
Version: 1.2.1-2
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of crystalspace_1.2.1-2 on lxdebian.bfinv.de by sbuild/s390 98
[...]
>     g++ -c -o ./out/linux390/optimize/apps/tools/lighter2/statistics.o -I. -I./include -I./include -Wall -g -fPIC -O2 -fsigned-char -pipe -Wall -g -fPIC -O2 -fsigned-char -Wall -Wno-unknown-pragmas -fvisibility=hidden -I/usr/local/include -Wall -g -fPIC -O2 -fsigned-char -Wall -g -fPIC -O2 -fsigned-char -fno-exceptions -fvisibility-inlines-hidden -O3 -fomit-frame-pointer -ffast-math -g2  apps/tools/lighter2/statistics.cpp
> 
> In file included from ./include/csutil/threading/pthread_condition.h:24,
>                  from ./include/csutil/threading/condition.h:27,
>                  from ./include/csplugincommon/sndsys/queue.h:30,
>                  from ./include/csplugincommon.h:51,
>                  from ./include/crystalspace.h:29,
>                  from apps/tools/lighter2/common.h:22,
>                  from apps/tools/lighter2/statistics.cpp:19:
> ./include/csutil/threading/atomicops.h:159:2: error: #error "No atomic operations defined for your platform!"
> In file included from ./include/csutil.h:48,
>                  from ./include/crystalspace.h:33,
>                  from apps/tools/lighter2/common.h:22,
>                  from apps/tools/lighter2/statistics.cpp:19:
> ./include/csutil/csendian.h:220:4: error: #error Do not know how to convert to IEEE floats
> In file included from ./include/csutil.h:78,
>                  from ./include/crystalspace.h:33,
>                  from apps/tools/lighter2/common.h:22,
>                  from apps/tools/lighter2/statistics.cpp:19:
> ./include/csutil/formatter.h:1184:6: warning: #warning Do not know how to hex-format floats
> In file included from ./include/csutil/bitarray.h:35,
>                  from ./include/csutil/fixedsizeallocator.h:29,
>                  from ./include/csutil/blockallocator.h:27,
>                  from ./include/csgeom/bsptree.h:26,
>                  from ./include/csgeom.h:26,
>                  from ./include/crystalspace.h:27,
>                  from apps/tools/lighter2/common.h:22,
>                  from apps/tools/lighter2/statistics.cpp:19:
[...]

-- 
You canna change the laws of physics, Captain; I've got to have thirty minutes!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#544831; Package src:crystalspace. (Mon, 26 Oct 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 26 Oct 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 544831@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 544831@bugs.debian.org
Cc: 544831-submitter@bugs.debian.org
Subject: Re: crystalspace - FTBFS: Does no bail out after one fatal error
Date: Mon, 26 Oct 2009 11:08:59 -0400
Hi,

I just uploaded a new version 1.4.0xxx.  It still has some issues but
could you possibly test this new version to see if this issue still
exists in the new release?

Thank you,

Barry deFreese
Debian Games Team




Message sent on to Bastian Blank <waldi@debian.org>:
Bug#544831. (Mon, 26 Oct 2009 17:54:04 GMT) Full text and rfc822 format available.

Reply sent to Devid Antonio Filoni <d.filoni@ubuntu.com>:
You have taken responsibility. (Wed, 13 Apr 2011 20:01:33 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 13 Apr 2011 20:01:33 GMT) Full text and rfc822 format available.

Message #18 received at 544831-close@bugs.debian.org (full text, mbox):

From: Devid Antonio Filoni <d.filoni@ubuntu.com>
To: 544831-close@bugs.debian.org
Subject: Bug#544831: fixed in crystalspace 1.4.0+dfsg-3
Date: Wed, 13 Apr 2011 19:47:55 +0000
Source: crystalspace
Source-Version: 1.4.0+dfsg-3

We believe that the bug you reported is fixed in the latest version of
crystalspace, which is due to be installed in the Debian FTP archive:

crystalspace-data_1.4.0+dfsg-3_all.deb
  to main/c/crystalspace/crystalspace-data_1.4.0+dfsg-3_all.deb
crystalspace-doc_1.4.0+dfsg-3_all.deb
  to main/c/crystalspace/crystalspace-doc_1.4.0+dfsg-3_all.deb
crystalspace_1.4.0+dfsg-3.debian.tar.gz
  to main/c/crystalspace/crystalspace_1.4.0+dfsg-3.debian.tar.gz
crystalspace_1.4.0+dfsg-3.dsc
  to main/c/crystalspace/crystalspace_1.4.0+dfsg-3.dsc
crystalspace_1.4.0+dfsg-3_amd64.deb
  to main/c/crystalspace/crystalspace_1.4.0+dfsg-3_amd64.deb
libcrystalspace-1.4_1.4.0+dfsg-3_amd64.deb
  to main/c/crystalspace/libcrystalspace-1.4_1.4.0+dfsg-3_amd64.deb
libcrystalspace-dbg_1.4.0+dfsg-3_amd64.deb
  to main/c/crystalspace/libcrystalspace-dbg_1.4.0+dfsg-3_amd64.deb
libcrystalspace-dev_1.4.0+dfsg-3_amd64.deb
  to main/c/crystalspace/libcrystalspace-dev_1.4.0+dfsg-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544831@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Devid Antonio Filoni <d.filoni@ubuntu.com> (supplier of updated crystalspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Apr 2011 22:07:50 +0200
Source: crystalspace
Binary: libcrystalspace-1.4 libcrystalspace-dev libcrystalspace-dbg crystalspace crystalspace-data crystalspace-doc
Architecture: source amd64 all
Version: 1.4.0+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Devid Antonio Filoni <d.filoni@ubuntu.com>
Description: 
 crystalspace - Multiplatform 3D Game Development Kit (binaries)
 crystalspace-data - Multiplatform 3D Game Development Kit (data files)
 crystalspace-doc - documentation for Crystal Space
 libcrystalspace-1.4 - Multiplatform 3D Game Development Kit
 libcrystalspace-dbg - Multiplatform 3D Game Development Kit (debugging files)
 libcrystalspace-dev - Multiplatform 3D Game Development Kit (development files)
Closes: 544831 594857 598755 619538
Changes: 
 crystalspace (1.4.0+dfsg-3) unstable; urgency=low
 .
   * debian/control: remove quilt from Build-Depends field, not needed with
     new source format.
   * debian/control: adjust Architecture fields (Closes: #598755, #544831).
   * debian/control: remove crystalspace from crystalspace-data Depends field
     (Closes: #619538).
   * debian/control: remove crystalspace-doc and libcrystalspace-1.4 Suggests
     fields.
   * debian/rules: remove useless PATH_VERSION.
   * debian/rules: add -Wa,-mregnames to CFLAGS on powerpc (Closes: #594857).
Checksums-Sha1: 
 321a5a735362d52b761c2c8f8059533fd1ef54dd 1962 crystalspace_1.4.0+dfsg-3.dsc
 1b445ab95404c5b350dd1537faf97a7c9d936c35 55552 crystalspace_1.4.0+dfsg-3.debian.tar.gz
 c334ca41561b9bd15406b7916cda04f7479ea473 8060134 libcrystalspace-1.4_1.4.0+dfsg-3_amd64.deb
 67d3c35458b3b7e96327bd0d9a8c07634638c64b 954528 libcrystalspace-dev_1.4.0+dfsg-3_amd64.deb
 e08d1ee46125cd65d2e27a6b5b01bf0f818e32e7 6594878 libcrystalspace-dbg_1.4.0+dfsg-3_amd64.deb
 3704f4ab65142ec0b294c7829f29bbd9ea6bf162 813064 crystalspace_1.4.0+dfsg-3_amd64.deb
 bc94e6c9176a7ca90fbd88aa2612b6b7991bde89 21444842 crystalspace-data_1.4.0+dfsg-3_all.deb
 314bdfee4d4717bd70a6336cb5cd67884bd192e8 10133984 crystalspace-doc_1.4.0+dfsg-3_all.deb
Checksums-Sha256: 
 8ad64dc80f0ff75a8c8afb5b33390c5d49159b4eef0f313a30860450a8b3d706 1962 crystalspace_1.4.0+dfsg-3.dsc
 05581fd9156673c010c6d4f4f88760795d3099adcbf08fb1955cf0e6c09750a7 55552 crystalspace_1.4.0+dfsg-3.debian.tar.gz
 07c74b9625a2fe03462e3ab4b51a46e67e6dd8d8be85d8996f2b8f59225c3f75 8060134 libcrystalspace-1.4_1.4.0+dfsg-3_amd64.deb
 89a734f34d130f276e78529eee833c7054c829cb428c05c1e7c3b0aebda9077f 954528 libcrystalspace-dev_1.4.0+dfsg-3_amd64.deb
 8782455e5491a369302d410f58ec23b16653e55721199754b44efcfa603f66df 6594878 libcrystalspace-dbg_1.4.0+dfsg-3_amd64.deb
 c87ca56eb116f223090b63c7ac971921e499917cabb74b53284a20a835f379a6 813064 crystalspace_1.4.0+dfsg-3_amd64.deb
 c6b3ccee82ee7ef123d2e153379671322a1a5648bf62c587dfad3eec3026144a 21444842 crystalspace-data_1.4.0+dfsg-3_all.deb
 136fe83162823a813d9bd18c9c26ef86e9bee97e864b3e79b786a4fb0da367b5 10133984 crystalspace-doc_1.4.0+dfsg-3_all.deb
Files: 
 15e79d6ded7e9e6a7f3303adf34ee752 1962 libs optional crystalspace_1.4.0+dfsg-3.dsc
 fca44e3e199e1f17b9d804f92d47e8fd 55552 libs optional crystalspace_1.4.0+dfsg-3.debian.tar.gz
 4017c90183e8a3819e35aedfaa63eb21 8060134 libs optional libcrystalspace-1.4_1.4.0+dfsg-3_amd64.deb
 4d484d262b9c707d30f5d87fec4b791d 954528 libdevel optional libcrystalspace-dev_1.4.0+dfsg-3_amd64.deb
 b839f09cc1245bc4043da0aee6a3c21a 6594878 debug extra libcrystalspace-dbg_1.4.0+dfsg-3_amd64.deb
 6e4ad852f3dc8d1451e8d8d28d206ef8 813064 libs optional crystalspace_1.4.0+dfsg-3_amd64.deb
 abf3e6e64005b9a9c12fac70e8d96c38 21444842 libs optional crystalspace-data_1.4.0+dfsg-3_all.deb
 f8fd086df896065675ef1932517999be 10133984 doc optional crystalspace-doc_1.4.0+dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2l+R0ACgkQsKTFpDfZQSz5jACfechRQSJm/LX3n7g2XdXshT4P
41EAn2aSImRDVeYzSkHhEmmCzl3czCEX
=oVHC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Jun 2011 07:34:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:34:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.